﻿using System.Net;
using System.Web.Http;
using System.Web.Mvc;
using System.Web.Routing;

namespace JsonApiServer
{
   // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
   // visit http://go.microsoft.com/?LinkId=9394801

   public class WebApiApplication : System.Web.HttpApplication
   {
      protected void Application_Start()
      {
         GlobalConfiguration.Configure(WebApiConfig.Register);
         AreaRegistration.RegisterAllAreas();

         // WebApiConfig.Register(GlobalConfiguration.Configuration);
         FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
         RouteConfig.RegisterRoutes(RouteTable.Routes);

         log4net.Config.XmlConfigurator.Configure();

         //use TLS 1.2 as TLS 1.0 is no longer considered secured
         ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;
      }
   }
}