﻿using System.Collections.Generic;

namespace JsonApiServer.Models
{
   /// <summary>
   /// A paged set of results
   /// </summary>
   /// <typeparam name="T"></typeparam>
   public class PagedList<T>
   {
      public IEnumerable<T> Results { get; set; }
      public int TotalRecords { get; set; }
   }
}